Java Program 7 – User Defined Exception

Program

class DiscountException extends Exception {

/*    public String getMessage() {
    
        return "Invalid Discount Rate";
    }
*/
    public String toString() {
    
        return "Invalid Discount Rate";
    }
}

class jijo {
/*    
    public String getMessage() {
    
        return "Jijo Object 2";
    }
*/
    public String toString() {
    
        return "Jijo Object 1";
    }

}

class DiscountCalculator {

    public double calculate(double amt, double rate) throws DiscountException {
    
        if (rate>10) {
            throw new DiscountException();
        }
        return amt*rate/100;
    }
}

class TestDiscountCalculator1 {

    public static void main(String args[]) throws DiscountException {
    
        try {
        
            DiscountCalculator c = new DiscountCalculator();
            System.out.println("Discount : " + c.calculate(100,12));
        }
        catch(Exception de) {
            System.out.println(de);
            jijo e1 = new jijo();
            int a=0;
            System.out.println(e1);
            System.out.println(a);
        }
    }
}

 


Output

D:\a5518\day3>javac DiscountException.java

D:\a5518\day3>java TestDiscountCalculator1
Invalid Discount Rate
Jijo Object 1
0

D:\a5518\day3>
 


 

You can leave a response, or trackback from your own site.

Leave a Reply